<?php if (!defined('PmWiki')) exit();

## Unicode (UTF-8) allows the display of all languages and all alphabets.
include_once("scripts/xlpage-utf-8.php");

## Use individual session for WikiFarms
# session_name('MYSESSID');

##  If you want to use URLs of the form .../pmwiki.php/Group/PageName
##  instead of .../pmwiki.php?p=Group.PageName, try setting
##  $EnablePathInfo below.  Note that this doesn't work in all environments,
##  it depends on your webserver and PHP configuration.  You might also 
##  want to check http://www.pmwiki.org/wiki/Cookbook/CleanUrls more
##  details about this setting and other ways to create nicer-looking urls.
## Eliminate "pmwiki.php" from URLs.
$EnablePathInfo = 0;

##  $ScriptUrl is your preferred URL for accessing wiki pages
##  $PubDirUrl is the URL for the pub directory.
$ScriptUrl = 'http://'.$_SERVER['HTTP_HOST'].'/wiki/';
$PubDirUrl = 'http://'.$_SERVER['HTTP_HOST'].'/wiki/pub';
# $UploadDir = "http://localhost:81/wiki/uploads";
# $UploadUrlFmt = "http://localhost:81/wiki/uploads";

## Sets the Default Language
XLPage('de','PmWikiDe.XLPage');
XLPage('de','Site.XLPage-BlogIt-DE');

## http://www.pmwiki.org/wiki/Cookbook/AuthUserCookie
$AuthUserCookieKey = 'abcdefghijklmnopqrstuvwx';
include_once("cookbook/authusercookie.php");

## http://www.pmwiki.org/wiki/PmWiki/AuthUser settings
## Users and Passwords
$AuthUser['Webmaster'] = '$1$tE2.yd/.$Rap.NnoZCNLE81l4vv54j1';
$AuthUser['Leitung'] = '$1$Tj3.g.2.$UeSL2d5b5Myc89SgROC9Q0';
$AuthUser['Zentrale'] = '$1$pf4.804.$fOcbOmv4KxCfdINHYzCrI1';
$AuthUser['Filialen'] = '$1$vP3.MA1.$YdXRYdbR0/g6Z1NfqIrTX0';
$AuthUser['Bruecke'] = '$1$l32.Kh5.$pcHIbGfNkbsSHAnw.cLEf.';
$AuthUser['Torstr'] = '$1$LT4.2X4.$jysmuLRBws7ridCH.DOef/';
$AuthUser['Fhain'] = '$1$hC..WP5.$cM4RBo3IuK95wSw0/97kI/';
$AuthUser['Weissensee'] = '$1$nd0.ko2.$6XkdxLOAXWAIQ2N9Jw2rR0';
$AuthUser['Marzahn'] = '$1$dq0.iw/.$LLw6PG1Tv2aSi4NlSuOFj/';
$AuthUser['Adlershof'] = '$1$Df5.Ql..$BwB5ynCPbGi37yZfFWAgW.';
$AuthUser['Koepenick'] = '$1$Zh5.u...$5WCkxxp/677PT2vpN/xsp.';
$AuthUser['Eichwalde'] = '$1$fH5.67/.$KWFqteVbK/9eN4h4CIVMe/';
$AuthUser['DMeussling'] = '$1$VX4.4M4.$d2tv9gkoLSH4EtoJ563e61';
$AuthUser['TWolff'] = '$1$5H5.of..$Kq9czi0ewjlvGAnLphf5v1';
$AuthUser['JSpook'] = '$1$R61.Gm3.$exV/2gcV7qRxxkT2RvIin/';
$AuthUser['MPook'] = '$1$XN/.U74.$YAFbhsNvfeQ7EbovgvdPP1';
$AuthUser['NZwanziger'] = '$1$NA3.Sz0.$WdMVd4KRyjAs0zttKlXBl/';
$AuthUser['JBlank'] = '$1$zK1.AG2.$EAKc6ESVbcXLQli0E1fy1/';
$AuthUser['MHachenberger'] = '$1$JT..ej4.$NbH5PiBl1nqvOA5pJX7BL1';
$AuthUser['HSchulz'] = '$1$Pv4.sp/.$cj0nZVac7vXxZczlQ.AX91';
$AuthUser['KKrueger'] = '$1$Fl2.qm3.$IefeKswV1eMbfCGusAsEA0';
$AuthUser['MMueller'] = '$1$rq/.YY/.$vMd1VK8zxS42l4rYOcvRZ0';
$AuthUser['CSzemat'] = '$1$Bm3.0t..$IghSlo9P41objdwP1qUTM0';
$AuthUser['VPreussler'] = '$1$Ht3.EC0.$krBF/SK6C3S3KxnErZ3P1.';
$AuthUser['SSchuetz'] = '$1$7G1.Cm2.$DPBbNyeWZvadY1ecVB8.L/';
$AuthUser['MSchwanz'] = '$1$jm..wW4.$0ZVUIEkEJHUxPEBX036l0/';
$AuthUser['SMartschewski'] = '$1$3//.OC0.$8JXk9DrLFakqlG10F9P4t.';
## Groups and Users
$AuthUser['@filiale1'] = array('Bruecke', 'DMeussling');
$AuthUser['@filiale2'] = array('Torstr', 'TWolff');
$AuthUser['@filiale3'] = array('Fhain', 'JSpook');
$AuthUser['@filiale4'] = array('Weissensee', 'MPook');
$AuthUser['@filiale5'] = array('Marzahn', 'NZwanziger');
$AuthUser['@filiale6'] = array('Adlershof', 'JBlank');
$AuthUser['@filiale7'] = array('Koepenick', 'MHachenberger');
$AuthUser['@filiale8'] = array('Eichwalde', 'HSchulz');
$AuthUser['@einkauf'] = array('SSchuetz', 'Filialen');
$AuthUser['@verwaltung'] = array('KKrueger', 'MMueller', 'CSzemat', 'VPreussler', 'SMartschewski');
$AuthUser['@meister'] = array('DMeussling', 'TWolff', 'JSpook', 'MPook', 'NZwanziger', 'JBlank', 'MHachenberger', 'HSchulz');
## Superordinated User Permissions
$AuthUser['Zentrale'] = array('@verwaltung', '@einkauf', '@meister', '@filialen', '@filiale1', '@filiale2', '@filiale3', '@filiale4', '@filiale5', '@filiale6', '@filiale7', '@filiale8');
$AuthUser['Filialen'] = array('@einkauf', '@filialen', '@filiale1', '@filiale2', '@filiale3', '@filiale4', '@filiale5', '@filiale6', '@filiale7', '@filiale8');

## BlogIt Actions: 'comment-edit', 'comment-approve', 'blog-edit', 'blog-new', 'sidebar', 'blogit-admin'
$bi_Auth = array(
   'blog'=>array('comment-edit', 'blog-edit', 'blog-new', 'sidebar', 'blogit-admin'),
   'approve'=>array('comment-approve', 'sidebar', 'blogit-admin')
);
## BlogIt Permissions
$AuthUser['@blog'] = array('Webmaster', 'Leitung', 'Zentrale', 'Filialen', 'KKrueger', 'MMueller', 'CSzemat', 'VPreussler', 'SMartschewski', 'DMeussling', 'TWolff', 'JSpook', 'MPook', 'NZwanziger', 'JBlank', 'MHachenberger', 'HSchulz');
$AuthUser['@approve'] = array('Webmaster', 'Leitung', 'Zentrale');

include_once("cookbook/wikilog-i18n-de.php");
include_once("cookbook/authdns.php");
include_once("scripts/authuser.php");

## See PmWiki.Passwords and PmWiki.PasswordsAdmin
$DefaultPasswords['admin'] = array('$1$zigl498Y$CEU1goAPjHGupP.YQEHUv/', 'id:Webmaster', 'id:Leitung');
$DefaultPasswords['attr'] = array('$1$4l.xIu0U$g3HQG07UDvZiGbWJVox5f1', 'id:Webmaster', 'id:Leitung');
$DefaultPasswords['edit'] = 'id:*';
$DefaultPasswords['blog'] = 'id:*';
$DefaultPasswords['approve'] = array('$1$zigl498Y$CEU1goAPjHGupP.YQEHUv/', 'id:Webmaster', 'id:Leitung', 'id:Zentrale');

## To force the login name to always be used as the author name
$Author = $AuthId;

## AuthDNS Settings
$AuthDNS['page'] = 'SiteAdmin.AuthDNS';
$AuthDNS['CookieDays'] = 30;

## If you want to have a custom skin, then set $Skin to the name
## of the directory (in pub/skins/) that contains your skin files.
## See PmWiki.Skins and Cookbook.Skins.
$Skin = 'boehme';
$SkinColor = 'green';

##  $WikiTitle is the name that appears in the browser's title bar.
$WikiTitle = '&nbsp;&nbsp;&quot;Jacob B&ouml;hme&quot; Orthop&auml;die-Schuhmacher GmbH';
$WikiTag   = 'Firmenwiki';

## $PageLogoUrl is the URL for a logo image -- you can change this
## to your own logo if you wish.
# $PageLogoUrl = "$PubDirUrl/skins/pmwiki/pmwiki-32.gif";
$PageLogoUrl="$PubDirUrl/skins/boehme/images/wiki_header.png";

$PageLogoUrlWidth='960px';
$PageLogoUrlHeight='110px';

## If you're running a publicly available site and allow anyone to
## edit without requiring a password, you probably want to put some
## blocklists in place to avoid wikispam.  See PmWiki.Blocklist.
$EnableBlocklist = 1;                    # enable manual blocklists
$EnableBlocklist = 10;                   # enable automatic blocklists

##  PmWiki comes with graphical user interface buttons for editing;
##  to enable these buttons, set $EnableGUIButtons to 1.  
$EnableGUIButtons = 1;

$EnablePostAuthorRequired = 0;

## PITS/00400 - Store IP addresses, but hide them from the history
$DiffStartFmt = "<div class='diffbox'><div class='difftime'>\$DiffTime
 \$[by] \$DiffAuthor - \$DiffChangeSum</div>";

## http://www.pmwiki.org/wiki/PmWiki/WikiGroup
$GroupPattern = '(?:Site|SiteAdmin|PmWiki|PmWikiDe|Main|Home|Blog|Tags|Profiles|Calendar|Firma|Meister|Filialen|Zentrale)';
$GroupPattern = '(?-i:Site|SiteAdmin|PmWiki|PmWikiDe|Main|Home|Blog|Tags|Profiles|Calendar|Firma|Meister|Filialen|Zentrale)';

##  To enable markup syntax from the Creole common wiki markup language
##  (http://www.wikicreole.org/), include it here:
# include_once("scripts/creole.php");

##  Some sites may want leading spaces on markup lines to indicate
##  "preformatted text blocks", set $EnableWSPre=1 if you want to do
##  this.  Setting it to a higher number increases the number of
##  space characters required on a line to count as "preformatted text".
# $EnableWSPre = 1;   # lines beginning with space are preformatted (default)
$EnableWSPre = 2;   # lines with 4 or more spaces are preformatted
# $EnableWSPre = 0;   # disabled

##  If you want uploads enabled on your system, set $EnableUpload=1.
##  You'll also need to set a default upload password, or else set
##  passwords on individual groups and pages.  For more information
##  see PmWiki.UploadsAdmin.
$EnableUpload = 1;
# $DefaultPasswords['upload'] = crypt('secret');

## http://www.pmwiki.org/wiki/Cookbook/UploadGroups
$UploadPrefixFmt = '/$Group/$Name';

##  Setting $EnableDiag turns on the ?action=diag and ?action=phpinfo
##  actions, which often helps others to remotely troubleshoot 
##  various configuration and execution problems.
$EnableDiag = 1;                         # enable remote diagnostics

##  By default, PmWiki doesn't allow browsers to cache pages.  Setting
##  $EnableIMSCaching=1; will re-enable browser caches in a somewhat
##  smart manner.  Note that you may want to have caching disabled while
##  adjusting configuration files or layout templates.
$EnableIMSCaching = 1;                   # allow browser caching

# Enable pagelist caching in work.d/
$WorkDir = dirname(__FILE__).'/../work.d';
$PageListCacheDir = $WorkDir .'/';
$EnablePageIndex=1;

##  Set $SpaceWikiWords if you want WikiWords to automatically 
##  have spaces before each sequence of capital letters.
# $SpaceWikiWords = 1;                     # turn on WikiWord spacing

##  Set $EnableWikiWords if you want to allow WikiWord links.
##  For more options with WikiWords, see scripts/wikiwords.php .
$EnableWikiWords = 0;                      # enable WikiWord links

##  $DiffKeepDays specifies the minimum number of days to keep a page's
##  revision history.  The default is 3650 (approximately 10 years).
$DiffKeepDays=360; # keep page history at least 30 days

## By default, viewers are prevented from seeing the existence
## of read-protected pages in search results and page listings,
## but this can be slow as PmWiki has to check the permissions
## of each page.  Setting $EnablePageListProtect to zero will
## speed things up considerably, but it will also mean that
## viewers may learn of the existence of read-protected pages.
## (It does not enable them to access the contents of the
## pages.)
# $EnablePageListProtect = 0;

##  The feeds.php script enables ?action=rss, ?action=atom, ?action=rdf,
##  and ?action=dc, for generation of syndication feeds in various formats.
# if ($action == 'rss')  include_once("scripts/feeds.php");  # RSS 2.0
# if ($action == 'atom') include_once("scripts/feeds.php");  # Atom 1.0
# if ($action == 'dc')   include_once("scripts/feeds.php");  # Dublin Core
# if ($action == 'rdf')  include_once("scripts/feeds.php");  # RSS 1.0

##  In the 2.2.0-beta series, {$var} page variables were absolute, but now
##  relative page variables provide greater flexibility and are recommended.
##  (If you're starting a new site, it's best to leave this setting alone.)
$EnableRelativePageVars = 1; # 1=relative; 0=absolute

##  By default, pages in the Category group are manually created.
##  Uncomment the following line to have blank category pages
##  automatically created whenever a link to a non-existent
##  category page is saved.  (The page is created only if
##  the author has edit permissions to the Category group.)
# $AutoCreate['/^Category\\./'] = array('ctime' => $Now);

## http://www.pmwiki.org/wiki/Cookbook/Captcha
# if (!CondAuth($pagename,'edit')) $EnablePostCaptchaRequired = 1;
# include_once("cookbook/captcha.php");

## Enable Equilibrium BlogIt Skin features
$bi_SkinClasses=array('blog-entry-summary'=>'.post-wrap','approved-comment-count'=>'.comments a','comment'=>'.commentwrap');

$bi_DefaultGroup='Blog'; // Define a default group for blog entries
$bi_BlogGroups='Site|SiteAdmin|Home|Blog'; // Specify which groups to look for blog entries (leave empty for 'Any Groups')

$HandleAuth['source'] = 'edit';  // Prevents non authorized users from viewing source.
$HandleAuth['diff'] = 'edit';  // Prevents non authorized users from viewing source code.
$MaxIncludes = 500;  // BlogIt makes heavy use of includes, so this needs to be increased.
include_once("cookbook/blogit/blogit.php");

## Additional for WikiCalendar
## This configures how dates are presented.
SDV($calendar_weekstyle,1);
SDV($calendar_datestyle,1);
SDV($space_date_titles,1);
SDV($SpaceDateString,'-');
SDV($edit_weekday,false);

## http://www.pmwiki.org/pmform/
$EnablePmFormMailSubjectEncode = 1;
## Do not include_once pmform.php - BlogIt will automatically do the include for you
# include_once("cookbook/pmform.php");
$PmFormPageFmt = 'Site.LocalTemplates';
## To define the reference for every unique (:pmform reference:) directive:
$PmForm['webmaster'] = 'subject="E-Mail von '.$WikiTitle.'" mailto=mroth@trade-service.eu form=#wemaform fmt=#wemapost from=wiki@jacob-boehme.de';
$PmForm['ziechmann'] = 'subject="E-Mail von '.$WikiTitle.'" mailto=ziechmann@jacob-boehme.de form=#zimaform fmt=#zimapost from=wiki@jacob-boehme.de';
$PmForm['clients'] = 'saveto={$FullName} form=#clientform fmt=#clientpost';
$PmForm['maildemo'] = 'mailto=mroth@trade-service.eu form=#mailform fmt=#mailpost';

## http://www.pmwiki.org/wiki/Cookbook/CleanUp - ?action=cleanup
if($action=='cleanup') include_once("cookbook/cleanup.php");
$CleanUpKeepDays =  0; # remove all deleted files/pages in '' days
$CleanUpDirs[$WorkDir]  = 1;  # cleanup deleted wiki pages
$CleanUpDirs["uploads"] = 1;  # cleanup deleted uploads
$CleanUpDirs[$PageListCacheDir] = 1; # cleanup old cache from pagelists

##  PmWiki allows a great deal of flexibility for creating custom markup.
##  To add support for '*bold*' and '~italic~' markup (the single quotes
##  are part of the markup), uncomment the following lines. 
##  (See PmWiki.CustomMarkup and the Cookbook for details and examples.)
Markup("'~", "inline", "/'~(.*?)~'/", "<i>$1</i>");        # '~italic~'
Markup("'*", "inline", "/'\\*(.*?)\\*'/", "<b>$1</b>");    # '*bold*'

##  If you want to have to approve links to external sites before they
##  are turned into links, uncomment the line below.  See PmWiki.UrlApprovals.
##  Also, setting $UnapprovedLinkCountMax limits the number of unapproved
##  links that are allowed in a page (useful to control wikispam).
$UnapprovedLinkCountMax = 10;
include_once("scripts/urlapprove.php");

## Force Linebreak after new lines
$HTMLPNewline = '<br />';

##  The following lines make additional editing buttons appear in the
##  edit page for subheadings, lists, tables, etc.
$GUIButtons['h2'] = array(400, '\\n!! ', '\\n', '$[Heading]',
                    '$GUIButtonDirUrlFmt/h2.gif"$[Heading]"');
$GUIButtons['h3'] = array(402, '\\n!!! ', '\\n', '$[Subheading]',
                    '$GUIButtonDirUrlFmt/h3.gif"$[Subheading]"');
# $GUIButtons['indent'] = array(500, '\\n->', '\\n', '$[Indented text]',
#                     '$GUIButtonDirUrlFmt/indent.gif"$[Indented text]"');
# $GUIButtons['outdent'] = array(510, '\\n-<', '\\n', '$[Hanging indent]',
#                     '$GUIButtonDirUrlFmt/outdent.gif"$[Hanging indent]"');
$GUIButtons['ol'] = array(520, '\\n# ', '\\n', '$[Ordered list]',
                    '$GUIButtonDirUrlFmt/ol.gif"$[Ordered (numbered) list]"');
$GUIButtons['ul'] = array(530, '\\n* ', '\\n', '$[Unordered list]',
                    '$GUIButtonDirUrlFmt/ul.gif"$[Unordered (bullet) list]"');
$GUIButtons['hr'] = array(540, '\\n----\\n', '', '',
                    '$GUIButtonDirUrlFmt/hr.gif"$[Horizontal rule]"');
$GUIButtons['table'] = array(600,
                    '||border=1 width=80%\\n||!Hdr ||!Hdr ||!Hdr ||\\n||     ||     ||     ||\\n||     ||     ||     ||\\n', '', '',
                    '$GUIButtonDirUrlFmt/table.gif"$[Table]"');

if (($action=='copy') || ($action=='move')) include_once("cookbook/movepage.php");

## http://www.pmwiki.org/wiki/Cookbook/IncludeSite
include_once("cookbook/includeSite.php");

## http://www.pmwiki.org/wiki/Cookbook/ExcelPaste
include_once('cookbook/tabtable.php');

## To enable SimultaneousEdits on Windows
include_once('cookbook/phpmerge.php');
$EnableSimulEdit = 0; # turn off pmwiki's version

##  The refcount.php script enables ?action=refcount, which helps to
##  find missing and orphaned pages.  See PmWiki.RefCount.
if ($action == 'refcount') include_once("scripts/refcount.php");

include_once('cookbook/recipecheck.php');
include_once("cookbook/wikilog.php");